Description

I would like to see an Editor Toolbar similar to what ArcGIS 10.x has. Please see the Web page below for more information:

http://resources.arcgis.com/en/help/main/10.2/index.html#/A_quick_tour of editing/01m500000002000000/
ArcGIS Help 10.2, 10.2.1, and 10.2.2 (A quick tour of editing)

Thank you.

History

#1 - 2015-02-24 11:20 AM - Spencer Gardner

It might help to give some more specific guidance on your needs. As far as | know, QGIS has all of the functionality available in the editor toolbar of
ArcGIS. Are you simply requesting that the buttons be placed in the same order and location as the ArcGIS toolbar? Is there some functionality that is

missing?

The Customization option under the Settings menu allows a user to reorganize the interface according to their needs - this might allow you to recreate the
ArcGIS editor toolbar in QGIS.

As for cloning the ArcGIS toolbar as the default in QGIS | strongly disagree. In particular, | hate that in ArcGIS | have to click a dropdown menu in order to
save edits or access a number of other useful features. This requires two clicks to save my edits, compared with one click in QGIS.

#2 - 2015-02-24 01:23 PM - Giovanni Manghi

- Category changed from Edit widget to GUI

- Status changed from Open to Feedback

- Target version deleted (Future Release - Nice to have)

Spencer Gardner wrote:

It might help to give some more specific guidance on your needs. As far as | know, QGIS has all of the functionality available in the editor toolbar of

ArcGIS. Are you simply requesting that the buttons be placed in the same order and location as the ArcGIS toolbar? Is there some functionality that

is missing?

The Customization option under the Settings menu allows a user to reorganize the interface according to their needs - this might allow you to
recreate the ArcGIS editor toolbar in QGIS.

As for cloning the ArcGIS toolbar as the default in QGIS | strongly disagree. In particular, | hate that in ArcGIS | have to click a dropdown menu in

order to save edits or access a number of other useful features. This requires two clicks to save my edits, compared with one click in QGIS.
http://resources.arcgis.com/en/help/main/10.2/index.html#/A_quick_tour_of_editing/01m500000002000000/

| agree, this request would need more explanations. It is about the GUI or the functionalities?

#3 - 2015-02-27 09:24 AM - Irucka Embry

Thank you for the quick response to the feature request.

After upgrading from 2.6.0 to 2.8.1 on Sunday, | viewed the Menu drop-down lists to see what new features had been added. In particular, | was comparing
the edit options that | use for work in ArcGIS 10.x to what QGIS includes in the Edit drop-down list. | assumed that the only edit functions were included in
that Edit list rather than also in the Layer drop-down list. For users like myself, this is confusing to have to search through 2 Menu lists (Edit and Layer) to

perform editing.

The 2 main points in showing the ArcGIS toolbar were the Editing options that | assumed were lacking in QGIS (due to not seeing them in Edit) and the

ease of having the Editing options grouped together.

I'm glad that | was wrong about assuming that QGIS did not have certain editing capabilities that ArcGIS has. Thank you for the correction.

Would it be possible to have a default Edit menu that includes such items as 1) Toggle Editing, 2) Save Layer Edits, and 3) Current Edits? Basically, | feel

that it would be easier for users like myself to edit if all of the editing functions were grouped together in a single Menu item.

Thank you.

#4 - 2015-02-27 11:18 AM - Asier Sarasua
- File qgis_editor_toolbar.png added

Irucka Embry wrote:

Would it be possible to have a default Edit menu that includes such items as 1) Toggle Editing, 2) Save Layer Edits, and 3) Current Edits? Basically,
| feel that it would be easier for users like myself to edit if all of the editing functions were grouped together in a single Menu item.

There is an Editor toolbar (called "Digitizing") in QGIS similar to what you showed in ArcGIS, | suggest you to use it to toggle editing and to save changes.

See attached image.

#5 - 2015-05-07 07:54 PM - Irucka Embry

OK, thank you for letting me know about the Editor toolbar (called "Digitizing"). | will check it out.

#6 - 2015-05-07 07:54 PM - Irucka Embry

Thank you, | have checked out the toolbar.

#7 - 2015-05-09 12:08 PM - Giovanni Manghi

Irucka Embry wrote:

Thank you, | have checked out the toolbar.
so can we close this?

#8 - 2016-06-14 10:34 PM - Jiirgen Fischer
- Resolution set to invalid
- Status changed from Feedback to Closed
